import { OnInit, DoCheck, SimpleChanges, OnChanges } from "@angular/core";
import { ItemService } from "../item-service/item-service.service";
import { FormBuilder, FormGroup, FormArray } from "@angular/forms";
export declare class MultipleResponseComponent implements OnInit, DoCheck, OnChanges {
    private itemService;
    private formBuilder;
    userAnswer: any;
    correctAns: any;
    message: boolean;
    clearAnswer: any;
    userAnswerService: any;
    assetData: any;
    form: FormGroup;
    selectedOrderIds: any;
    questionDetails1: any;
    assetPosition: any;
    correctAnsLabel: string;
    correctAnsRichLabel: string;
    userResponseLabel: string;
    userResponseRichLabel: string;
    alphabetsIndex: string[];
    incorrectRationale: any;
    get questionDetails(): any;
    set questionCurrentData(value: any);
    constructor(itemService: ItemService, formBuilder: FormBuilder);
    examEngineType: string;
    canShowMetadata: boolean;
    isClearAnswer: boolean;
    isShowHide: boolean;
    imagePath: any;
    checkQuizSubmission: any;
    preferredTextFormat: number;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    correctAnswer(): void;
    selectAnswer(option: any, i: any): void;
    isUserAnswersCorrect(): boolean;
    clearUserInputs(): void;
    getChoiceClassName(choiceDetails: any): "wk-icon-checkmark green-checkmark" | "wk-icon-close wrong-checkmark" | "wk-icon-checkmark disabled-checkmark";
    valueChanged(): void;
    getFormArray(): FormArray;
    createQuestion(): void;
    commaSeperatedUserResponseLabel(): void;
}
